goffice 0.10.59:

--------------------------------------------------------------------------
goffice 0.10.58:

Morten:
	* Work around axis bug.  [Gnumeric #774]
	* Fix axis problem with really big numbers.  [Gnumeric #777]
	* Fix combo box problem when wm closes window.  [Gnumeric #784]
	* Fix graph tooltip problem.  [#78]
	* Adapt to new gnome release requirements.

--------------------------------------------------------------------------
goffice 0.10.57:

Morten:
	* Excise long double parts of ryu unless --with-long-double.
	* Fix various go_dtoa issues.
	* Introspection fixes.
	* New experimental --with-decimal64 for base-10 math.

--------------------------------------------------------------------------
goffice 0.10.56:

B.S.:
	* Make go_fake_floorl and go_fake_ceil consistent with their
	non-l versions.  [#65]

Emmanuel Pacaud:
	* Fix svg export problem.  [Gnumeric #726]

Morten:
	* Fix histogram crash.  [#66]
	* Fix canvas widget problem.  [#68]
	* Fix scaled-UI problem.  [#54]
	* Fix double-scaling problem.  [#69]

--------------------------------------------------------------------------
goffice 0.10.55:

Morten:
	* Configuration updates.

--------------------------------------------------------------------------
goffice 0.10.54:

John Denker:
	* Allow multiple data labels for series.  [#64]

Morten:
	* Fix accumulator problem with infinites.  [Gnumeric #683]
	* Fix fraction-formatting overflow problem.  [Part of Gnumeric #637]

--------------------------------------------------------------------------
goffice 0.10.53:

Morten:
	* Fix problem rendering "...E-xx" numbers.  [#60]
	* Hack around introspection issue.  [Part of #59]
	* Fix crash in plot [Gnumeric #667]

--------------------------------------------------------------------------
goffice 0.10.52:

Morten:
	* Improve GOComboBox css styling.
	* Reimplement GOActionComboStack using GtkComboBox.
	* Introspection fixes.
	* Documentation fixes.
	* Fix go_{add,sub}_epsilon{,l} confusion in fallback code for win32.

B.S:
	* Fix long double problem with go_dtoa.  [#57]

--------------------------------------------------------------------------
goffice 0.10.51:

Jean:
	* Do not clip markers in scatter plots. [#584]
	* Draw background and outline for data labels. [#592]

John Denker:
	* Fix go_fake_{ceil,floor} confusion.  [#56]

Morten:
	* Introspection updates.
	* Improve go_pow10 accuracy by avoiding pow as much as possible.
	* Take evasive action re g_memdup.

--------------------------------------------------------------------------
goffice 0.10.50:

Jean:
	* Fix data update in matrix plots, see Debian #988397.
	* Fix rendering on high resolution monitors when scale is not 1. [#578]

Morten:
	* Simplify regression equation code.
	* Use only 3 decimals for R^2 for regression lines.
	* Eliminate empty Special category from format selector.  [#29]
	* Improve regression line equation for date axes.  [#41]

--------------------------------------------------------------------------
goffice 0.10.49:

Morten:
	* Fix ods format problem.  [Gnumeric #518]
	* Fix axis line crash.  [Gnumeric #524]
	* Add state and saved-state to GODoc.

--------------------------------------------------------------------------
goffice 0.10.48:

Jean:
	* Avoid serializing empty graph data. [#46]
	* Clip data labels in XY plots. [#47]
	* Don't emit a critical for invalid series in Logarithmic fit. [#49]
	* Optimize GtkWidget embedding in the canvas. See #465.
	* Clip grid lines rendering to the plot area. [#50]
	* Speed up GocGroup for large number of children.  [Gnumeric #465]
	* Make GocGroup usable as a widgetless canvas.

Morten:
	* Avoid critical in document image handling.
	* Introspection fixes.
	* Speed up GocGroup for large number of children.  [Gnumeric #465]
	* Stop checking for Xrender.
	* Plug leaks.

--------------------------------------------------------------------------
goffice 0.10.47:

Jean:
	* Fix crash if a XY plot series has data labels but no valid data. [#426]
	* Fix criticals related to data labels. [#428]
	* Fix a drawing error in contour plots. [#458]
	* Ensure that all required dims have valid data in a valid series. [#466]
	* Fix legend order in bar plots.
	* Test plot series validity after a data change. [#468]
	* Fix crossing axis position. [#45]
	* Fix component duplication. [#483]

Morten:
	* Fix library namespace issue.
	* Implement auto-by-extension for image files.

--------------------------------------------------------------------------
goffice 0.10.46:

Jean:
	* Fix equations edition inside charts.
	* Fix legend contents for contour plots. [#404]

Morten:
	* Add more functions to inspect formats.
	* Fix UTF-8 problem with format "mmmmm".

--------------------------------------------------------------------------
goffice 0.10.45:

Jean:
	* Fix crash in exponential smoothing with invalid y data. [#377]
	* Fix ring plot center size persistence. [#395]

Morten:
	* Introspection fixes.
	* Work around gtk-doc bugs.

--------------------------------------------------------------------------
goffice 0.10.44:

--------------------------------------------------------------------------
goffice 0.10.43:

--------------------------------------------------------------------------
goffice 0.10.42:

Jean:
	* Fix box plots when only outliers lie outside of the box. [#345]

Morten:
	* Introspection fixes.
	* Improve file saver api.
	* Avoid hash order dependency for plugins.
	* dtoa: ensure fpu rounding mode here.
	* Test fixes.

--------------------------------------------------------------------------
goffice 0.10.41:

Morten:
	* Avoid excess precision of graph ticks.

--------------------------------------------------------------------------
goffice 0.10.40:

Hiroshi Hatake:
	* Introspection fixes. [#793684]

Morten:
	* Fixes required for running with musl.  [#794115]
	* Store last-known modtime for GODoc.
	* Option menus: handle markup for labels.
	* Introspection fixes
	* Improve font selector sizing a bit.

--------------------------------------------------------------------------
goffice 0.10.39:

Morten:
	* sinpi/cospi/tanpi/cotpi improvement.

--------------------------------------------------------------------------
goffice 0.10.38:

Morten:
	* Avoid a few dubious uses of deprecated gtk+ functions.
	* Reduce number of compiler warnings.

--------------------------------------------------------------------------
goffice 0.10.37:

--------------------------------------------------------------------------
goffice 0.10.36:

Jean:
	* Fix engineering format. [#785669]
	* Fix crash in 3D plots when X or Y values are missing. [#788437]
	* Don't use invalid styles in legend from contour or surface plots imported
	from Excel. [#788861]
	* Fix documentation build with recent gtk-doc. [#788710]

--------------------------------------------------------------------------
goffice 0.10.35:

Morten:
	* Fix quad-precision overflow problem.

--------------------------------------------------------------------------
goffice 0.10.34:

Morten:
	* Fix rich-text format problem.

--------------------------------------------------------------------------
goffice 0.10.33:

Jean:
	* Make box plots look like bar plots in legends. [#773825]
	* Fix conditional compilation for long double. Patch from Ludovic
	Rousseau). [#774439]
	* Reimplement major grids for discrete axes. [#775624].
	* Fix add child menu in graph guru. [#777336]
	* Fix evaluation of regression curves for area plots. [#777334]

Morten:
	* Introspection fixes.

--------------------------------------------------------------------------
goffice 0.10.32:

Morten:
	* Plug leak.
	* Avoid gnome-common dependency.

--------------------------------------------------------------------------
goffice 0.10.31:

--------------------------------------------------------------------------
goffice 0.10.30:

Jean:
	* Fix color scale reference to its axis. [#766829]

--------------------------------------------------------------------------
goffice 0.10.29:

Jean:
	* Do not load invalid data labels in XYcolor plots. [#765155]
	* Fix an infinite loop condition in 3D plots. [#765480]
	* Implement line width and fill pattern support in themes. [#765970]

Morten:
	* Improve go_complex_sqrt.
	* Improve go_complex_div.

--------------------------------------------------------------------------
goffice 0.10.28:

Jean:
	* Fix histograms with missing values. [#763446]

Morten:
	* Configuration fixes.
	* Introspection improvements.

--------------------------------------------------------------------------
goffice 0.10.27:

Andreas:
	* Support new foreign element in ODF export of time styles

Jean:
	* Add title to axis lines. [#760675]
Morten:
	* Fix go_complex_powl accuracy for real case.
	* Fix go_complex_div for very small divisor.

--------------------------------------------------------------------------
goffice 0.10.26:

--------------------------------------------------------------------------
goffice 0.10.25:

Morten:
	* Plug leaks.
	* Fix axis editing bug.  [#684886]
	* Make builds more reproducible.

--------------------------------------------------------------------------
goffice 0.10.24:

Jean:
	* Fix bounds and distance for rectangle and paths in RTL mode. [#753963]
	* Don't access NULL X or Y values in YXZ matrix plots. [#754590]

--------------------------------------------------------------------------
goffice 0.10.23:

Jean:
	* Disable metafiles support when there is no screen. [#748493]
	* Fuzzed file fixes.  [#750860] [#751059] [#751256] [#751257] [#751272]
	  [#751925] [#752223]

Morten:
	* Fix ABR [#749167]
	* Shield Cairo from image sizes it cannot handle.  [#749274]
	* Plug leaks.  [#749395]
	* Portability problem affecting macs.  [#749463]
	* Fuzzed file fixes.  [#750047]  [#751250]
	* Fix log-fit problem.  [Redhat #1240470]
	* Fix general format for wide case.  [#752839]

--------------------------------------------------------------------------
goffice 0.10.22:

Jean:
	* Fix selection of axes using only part fo the plot area. [#746456]
	* Protect colored xy and bubble plots against NULL z values.
	* Update circular axis bounds after a unit change. [#746738]
	* Auto fill color made transparent for opened markers. [#691025]
	* Make manual scale really manual. [#700599]

Johannes Deutsch:
	* Do not draw the line over the arrow head at start. [#745736]

Morten:
	* Improve log axis bounds.  [#745960]
	* Fix format used for stacked percentage graphs.
	* Don't force bar/col axis to include 0 for log axis.
	* Don't force radial plots to include 0 for log axis.
	* Rewrite pattern-fill rendering.  [#747212]
	* Add go_cotpi and go_atan2pi.
	* Fix persistence of ring plot center size.

--------------------------------------------------------------------------
goffice 0.10.21:

Jean:
	* Ignore invalid values while checking data order. [#744200]
	* Ensure that GOPixbuf 	keeps the original data around. [#745297]
	* Fix sheet objects rendering, including widgets. [#744076]

Morten:
	* Fix problem with linear solver.
	* Add arrow selector widget.
	* Fix rendering of dotted lines.  [#744419]
	* Activate font part of graph theming.
	* Plug leaks.
	* Add tooltips to gradient selector.
	* Add tooltips to pattern selector.
	* GOImage fixes.

--------------------------------------------------------------------------
goffice 0.10.20:

Jean:
	* Ensure the validity of the dims property for linear regression curves.

Morten:
	* Fix marker problem with line plots.

--------------------------------------------------------------------------
goffice 0.10.19:

Jean:
	* Allow rotation of axis line labels. [#740198]
	* Move the title with its axis parent. [#684777]
	* Implement canvas native scrolling. [#741394]
	* Don't use a data vector with no valid value. [#741910]
	* Allow custom ticks and grid lines for axis lines. [#600482]
	* Don't loose any data in an histogram when using automatic bins. [#742996]

Morten:
	* Dead kitten salvage.
	* Fix canvas issues when removing items.
	* Switch from GtkColorSelDialog to GtkColorChooser.  [#695634]

--------------------------------------------------------------------------
goffice 0.10.18:

Andreas:
	* Fix saving of color map names. [#735298]

Jean:
	* Fix grid line theme support. [#733403]
	* Fix default ticks position.
	* Fix font color theme support. [Debian 757611]
	* Fix saving color maps when directory does not exists. [#735008]
	* Fix color maps loading. [#735007]
	* Don't pass NULL to g_strtod(). [#735555]

Morten:
	* Work around gtk+ ABI break for colour selector.  [#733350]

--------------------------------------------------------------------------
goffice 0.10.17:

Jean:
	* Add control for 3D plots axes lengths. [#694746]

Morten:
	* Fix test for buggy C library.

--------------------------------------------------------------------------
goffice 0.10.16:

Jean:
	* Don't use GDK_THREADS_*.  [#728793]
	* Fixed Gog3DBox properties editor.
	* Add a view class to Gog3DBox to support data that are view dependent.
	* Restore dashes with dots in charts lines.

Morten:
	* Clean out old #ifdef mess.
	* Improve axis value computation.
	* Improve xml import/export of GOStyle.

--------------------------------------------------------------------------
goffice 0.10.15:

Andreas:
	* Improve GOFormat export to ods.

Jean:
	* Explicitly allow manual charts size. [#728134]
	* Fix automatic chart size for manual position. [#728391]
	* Fix text alignment. [#728752]

Morten:
	* Portability improvements.
	* Fix UMR in graph view.
	* Improve GOFormat export to ods.
	* Improve testing.
	* Improve go_dtoa and use it for go_format_general.

--------------------------------------------------------------------------
goffice 0.10.14:

Andreas:
	* Improve conditional format roundtrip through ODF.  [part of #725852]

Jean:
	* Fix canvas drawing problem.

Morten:
	* Work on conditional formats for ODF.
	* Implement numbered colours in number formats.
	* Fix plugin deactivation.
	* Plug leaks.
	* Fix rounding problem.
	* Use musl code for dtoa.  Adapt to round-ties-away-from-0.

--------------------------------------------------------------------------
goffice 0.10.13:

Andreas:
	* Write invisible characters in ODF number style export. [part of #725852]
	* Fix writing of scientific number format to ODF. [part of #725852]
	* Fix strict number style export to ODF. [#726237]

Jean:
	* Ensure that the lasem plugin builds with lasem-0.4.1. [#725693]
	* Support leave_notify events in the canvas. [#668103]

Julian Sikorski:
	* Remove extra DESTDIR in mathml to itex converter. [#725684]

Morten:
	* Fix problem saving print settings.  [#698630]
	* Plug leaks.
	* Fix FMW problem with GocPolyline/GocPolygon.

--------------------------------------------------------------------------
goffice 0.10.12:

Jean:
	* New math equations component plugin.

--------------------------------------------------------------------------
goffice 0.10.11:

--------------------------------------------------------------------------
goffice 0.10.10:

Jean:
	* Fix graph guru appearance when used with gtk+-3.10. [#719681]
	* Fix crasher in box plots. [#720310]
	* Fix elements number in polar plot series. [#720355]
	* Always save an axis position. [#722402]

Morten:
	* Improve complex math, notably complex power.
	* Add quad precision log and hypot functions.
	* Add quad precision atan2, sin, sinpi, asin, cos, cospi, acos
	  functions.
	* Add go_sinpi, go_cospi, go_tanpi, go_atan2pi.
	* Improve "General" format.
	* Improve Undo/Redo toolbar items.
	* Improve Color selector toolbar items.
	* Improve Pixmap selector toolbar items.

--------------------------------------------------------------------------
goffice 0.10.9:

Morten:
	* Improvements to quad precision code.
	* Fuzzed file issues.  [#712663]

--------------------------------------------------------------------------
goffice 0.10.8:

Jean:
	* Do not destroy axes after adding a plot using a restricted set. [#708292]
	* Don't crash when there are no x values for a moving average smoothing.
	[#708562]
	* Never redefine GtkJustfication, use GoJustification instead. [#709007]

Morten:
	* Build fixes.
	* Win32 work.
	* Fix font selector crash.  [#709438]

--------------------------------------------------------------------------
goffice 0.10.7:

--------------------------------------------------------------------------
goffice 0.10.6:

Alexander Larsson:
	* Fix gtk+ 3.9 redraw problems.  [#703124]

Jean:
	* Fix NULL pointer issue in line plots. [#706663]

--------------------------------------------------------------------------
goffice 0.10.5:

Andreas:
	* Don't crash on inconsistent format. [#705099]

Jean:
	* Don't crash when loading an EMF image without valid data. [#704311]
	* Fixed text and path items positions. [see #704391]
	* Don't crash when a pixbuf has an invalid size. [#704560][#705005]
	* Fix area vs diameter selection in bubble plots. [#705312]
	* Implement get_data_at_point for area and line plots. [#627277][#689661]
	* Fix rendring of stacked area plots. [#705034]
	* Fix crash when drawing a fallback image without gtk. [#705677]
	* Fix crash in countour plots when no color is used. [#705913]

Morten:
	* Add prescaling to go_linear_regression_leverage.  [#703381]
	* Improve C standard compliance a tiny bit.

--------------------------------------------------------------------------
goffice 0.10.4:

Andreas:
	* Fix crash on corrupted GOImage. [#703670]

Jean:
	* Fix loading of image with invalid size or data. [#703740]
	* Don't use invalid GOImage arguments. [#703949]

Morten:
	* Fix linear regression failure.
	* Add prescaling to linear regression.  [#703381]

--------------------------------------------------------------------------
goffice 0.10.3:

Jean:
	* Implement color scales. [#695829]
	* Allow color scales to have titles. [#688595]
	* Allow regression equation frame to rotate with text. [#701546]
	* New matrix plots. [#657918][#680806]
	* Set a minimal size for the graph property box. [#699473]
	* Fix crash when loading an invalid graph with a custom theme. [#702887]

Morten:
	* Fix issue with librsvg includes.  [#695167]
	* Make linear regression handle the case where the input
          columns are not independent.  [#551457]
	* Install the unknown_image icon from Gnumeric.  [#700742]

--------------------------------------------------------------------------
goffice 0.10.2:

Dominique Leuenberger:
	* Fix locale directory.

Jean:
	* Don't use uninitialized values in bar/column plots. [#696569]
	* Fix currency selector visibility. [#696647]
	* Fix mouse events for widgets inside a GtkContainer. [#696533]
	* Make the GOEditor scrolled window optional. [#696825]
	* Show the font face selector in the graph properties. [#697243]
	* Fixed style in scatter plot after a valid but with invisible line
	series. [#698057]
	* Fixed test in goc_item_set_transform(). [#698101]
	* Initialize GOEditor::use_scrolled. [#698102]
	* Don't unref a disposed widget. [#698150]
	* Export each marker to svg until cairo bug #63633 is fixed. [#698162]
	* Implement interpolation in line and area plots. [#698534]
	* Ensure a full initialization of all fields in the font selector.
	[#698867]

Morten:
	* Fix problems with cspline boxed type. [#695550]
	* Fix gtk-doc problems --without-long-double.  [#695550]
	* Widget cleanups.
	* Add dialog version of the font selector.
	* Rewrite font selector.  [#695031]
	* Fix GOComboColor signal problem.  [#696022]
	* Plug leaks.
	* Enhance canvas with possibility of css.
	* Improve printing of grey patterns.
	* Make narrow versions of combos for vertical toolbars.

--------------------------------------------------------------------------
goffice 0.10.1:

Jean:
	* Don't add an extra separator at start of data labels. [#691704]
	* Don't crash after deleting a named smoothed curve. [#691796]
	* Fix data label offset serialization. [#692305]
	* Add a user interface for radar and polar plots axis selection. [#692803]
	* Fix go_component_build_snapshot() returned value. [#694231]
	* Do not use invalid values in line plots. [#694232]
	* Make data labels position independant on scale. [#694731]

Morten:
	* Cleanup linear algebra.  [#691630]
	* Work on new compiler warnings.
	* Add efficient code for computing leverages.  [#691913]
	* Introspection fixes.
	* Fix missing tooltip in color palette.  [#695032]
	* Fix missing tooltip in pixmap selector.

--------------------------------------------------------------------------
goffice 0.10.0:

--------------------------------------------------------------------------
goffice 0.9.91:

Jean:
	* Fixed typos in locales list. [#688977]

--------------------------------------------------------------------------
goffice 0.9.90:

Andreas:
	* Handle some more unusual formats in ODF export. [#683801]
	* Fix some magic date handling. [#686575]
	* Fix placement of minus sign. [#686575]
	* Add 'force exponent sign' checkbox to format selector. [#686481]
	* Fix export of scientific number format to ODF.
	* Fix rendering of fraction formats in locales with ' ' as thousand
	  separator. [#686471]

Chris Leonard:
	* Updated locales. [#682749]

Jean:
	* New scattered min-max plot type. [#683493]
	* Don't crash when no valid data is available for histograms. [#684047]
	* Clip histograms to the plot area. [#684195]
	* Fix backplane position when data are nearly all the same. [#684599]
	* Fixed crash when using data labels after gtk+ behavior change. [#684889]
	* Accept an offset up to 20 for graph data labels. [#684892]
	* Removed span tab 3D axes that don't support it. [#685405]
	* Don't draw a marker in the legend when not needed. [#685484]
	* Restore pixel aligned lines. [#686476]
	* Fixed position of rotated label frame. [#686478]
	* Fixed image clipping. [#686490]
	* Improve padding between axis ticks and labels.  [#686473]
	* Enhance graph guru behavior when an object is deleted. [#687102]
	* Allow colors selection for contour and map plots. [#657908]
	* Don't crash when loading an xls file with an EMF picture. [#688047]

Morten:
	* Namespace cleanup.  [#686501]
	* Fix EE-format compilation.  [#686480]
	* Plug leak.

--------------------------------------------------------------------------
goffice 0.9.6:

Chris Leonard:
	* Add comments for translators to SI units names. [#681813]

Jean:
	* Use NAN instead of 0 for XYZ plots when data are missing. [#680486]
	* Add series name to legend for contour plots. [#680508]
	* Fix contour plot cardinality when axis bounds can't be retrieved. [680512]
	* Allow axis choice for pseudo-3d plots. [see #680636]
	* Allow filling to axis limits. [#680513]
	* Save axis Id for all axes, not only X and Y. [#680739]
	* Fix strings inconsistencies (3d vs. 3D). [#681777]
	* Fix a crash for infinite values in XYZ contour plots. [#841840]
	* Fixed typos in translated string. [#681779][681811][681812]

Morten:
	* Minute accuracy improvement to matrix inversion.

Quentin Glidic:
	* Fix build with libspectre. [#681846]

--------------------------------------------------------------------------
goffice 0.9.5:

Andreas:
	* Fix spacing in chart properties dialog.
	* Fix style inconsistency in regression trend line dialog. [#678810]

Jean:
	* Fix rich text size evaluation. [#679459]
	* Moved prototypes from gog-axis-line-impl.h to gog-axis-line.h. [#679967]

--------------------------------------------------------------------------
goffice 0.9.4:

Andreas:
	* Add go_pango_attrs_to_markup, partial inverse to pango_parse_markup.
	* Handle underline tags as named tags in textbuffer.
	* Add go_color_from_gdk_rgba
	* Fix item placement in linear & polynomial regression trend line
	dialog. [#678793]
	* Fix spacing in chart properties dialog. [#678812]

Jean:
	* Fixed logfit equation typo. [#675560]
	* Fix text item position when clipped. [#676067]
	* Fix criticals when adding a trend line. [#676641]
	* Fix trend lines limits for implied X values.

--------------------------------------------------------------------------
goffice 0.9.3:

Andreas:
	* Fix output of scientific number formats to ODF. [#672353]
	* Do not unneccessarily include numbers in number formats when exporting
	to ODF. [#671860]

Jean:
	* Add introspection support. [#670161]
	* Make introspection build when libgoffice is not installed [#671699]

Morten:
	* Fix GOImage fallback for non-GUI case.
	* Tweak bold attribute for rich text.
	* Fix minor multihead issue with help buttons in dialogs.
	* Eliminate GoComboText -- use GtkComboBoxText instead.
	* Avoid critical in GOPixbuf code.
	* Work around intltool bug.  [#672771]

--------------------------------------------------------------------------
goffice 0.9.2:

Andreas:
	* Improve sensitivity handling of SI related widgets in format selector.
	* Fix scientific format with SI prefix selection. [#665301]
	* Fix recognition of formats with SI prefix by format selector.
	[#665303]
	* Handle numeral shapes for number formats.

Jean:
	* Fixed rounding errors in limits displayed in contour plot legend.
	[#666292]
	* Support wrapped charts labels, partially fixes #643873.
	* Fixed GdkPixbuf usage. [#667005]
	* Don't truncate images when exporting a chart. [#645938]
	* Add automatic Bezier spline interpolation. [663356]
	* Fixed graph type selector position. [#667793]
	* Fix bounds for partial range logarithmic axes. [#669257]
	* Fix Y-axis label position. [#669325]
	* Add limits to the regression curve display range. [#669252]
	* Don't move any other axis when changing an axis position. [#669050]

Morten:
	* Embed library ui files into library.
	* Embed svg-patterns.xml and error bar image files too.
	* Embed icons and ui files into plugins.

--------------------------------------------------------------------------
goffice 0.9.1:

Morten:
	* High-precision accumulator improvements.

--------------------------------------------------------------------------
goffice 0.9.0:

Adrian Bunk:
       * Get rid of dolt.  [#662414]

Andreas:
	* Use pango attributes for formatting. [#584380][#651561]
	* Fix output of scientific number formats with EE to ODF.
	* Fix interpretation of marked-up scientific number format. [#656056]
	* Fix fraction rendering. [#656043][#657288][#657379][657400]
	* Fix date format on Windows. [#655573]
	* Extend encoding specification from file-openers to plugin services.
	* Improve the scientific number formats selector. [#657187][#623847]
	* Improve fraction format selector. [#117215]
	* Support SI prefixes and units  in scientific format selector. [#588516]
	* Show in-use custom formats in the custom format selector. [#658472]
	* Render superscripts in scientific formats with regard to font size
	and scale. [#425685]

Jean:
	* Port to gtk+-3.0.
	* Add a plugin directory for extern plugins, independent from micro
	  version.
	* Allow the frame around a chart label to rotate with the text. [647147]
	* Chart labels accept rich text. [#417631]
	* Axes can use only a part of available space. [#654392][#513137]
	* Add support for smoothed curve renaming. [#656148].
	* Fix widgets position inside an RTL canvas.
	* Fix minor ticks number. [#657670]
	* Displays correct coordinates when moving the mouse on a zoomed
	chart. [#657694]
	* Don't crash when pseudo3d axis has too large manual ticks
	spacing. [#657695]
	* Use data format for discrete axis. [#641901]
	* Make sheet widgets scalable. [#605434]
	* Update series labels when needed. [658527]
	* Fix background images issues in graphs. [#660917]
	* Make GSettings the default configuration backend.
	* Add support for SVG images.
	* Add some optional support for EPS images. [#663078]
	* Fixed a memory leak in GocPolyline code. [#663355]
	* Fixed pixels dust in text rotation selector. [#662393]
	* Remove GConf support.
	* Ensure that 0 is in the default values axis range for column, bar
	and other 1.5d plots. [#663717]

Morten:
	* Recognize scientific formats with longer exponents.
	* Fix problem with sticky format colouring.
	* Improve certain range functions in corner cases.  [#660564]
	* Make go_range_sum perfect, modulo overflow.  [#664656]
	* Add resource manager for embedded files.
	* Plug leaks.

Gerald Niel:
	* Plugins not found when using in bundle for Mac OSX. [#661264]

--------------------------------------------------------------------------
goffice 0.8.17:

Morten:
	* Plug leaks.
	* Fix noisy leak.  [#652420]

--------------------------------------------------------------------------
goffice 0.8.16:

Andreas:
	* Improve ODF 1.2 output of fraction format.

Morten:
	* Fix long-double compilation issue.
	* Improve accuracy of complex power.
	* Fix GOFormat problem resulting in "-0".  [#650928]

--------------------------------------------------------------------------
goffice 0.8.15:

Andreas:
	* Fix format string parsing with localized colour names. [#647324]

Jean:
	* Fixed closed bezier spline evaluation. [#646700]
	* Implement dropbar plots with linear or logarithmic index axis. [#646832]
	* Fix legends for plots with marker only style. [#647367]
	* Don't use badly rounded values when clipping markers. [#649485]
	* Implement probability plots with data as y values. [#650515]

Morten:
	* Plug leaks.
	* Detect more cases of linear-regression gone bad.

--------------------------------------------------------------------------
goffice 0.8.14:

Jean:
	* Implement a GSettings backend for GOConf. [643767]
	* Fix gnumeric crash when monitoring settings changes. [#644222]

Morten:
	* Plug leaks.
	* Allow GOConf to handle absolute keys.

--------------------------------------------------------------------------
goffice 0.8.13:

Andreas:
	* Write text formats to ODF. [#636158]

Jean:
	* Fixed memory leaks found by cppcheck analysis.
	* Fixed drop lines in line plots. [#638738]
	* Invalidate canvas items after reordering to force a redraw? [#639840]
	* Fix axis limits serialization. [#640438]

Morten:
	* Fix problem with engineering formats.  [#640571]

--------------------------------------------------------------------------
goffice 0.8.12:

Andreas
	* Fix US 30/360 date calculations. [#631242][#630784]

Jean:
	* Fixed sorting with accentuated characters. [#631504]
	* Allow filled plots to be displayed behind the grids. [#632310]
	* Fixed patterns with cairo-1.10.
	* Fixed flawed exponential fit in graphs for small values. [#633735]
	* Fixed an infinite loop condition in cubic spline evaluation. [#633965]

Morten:
	* Fix GOImage-vs-cairo lifecycle issue.
	* Fix loading of weird themes.

--------------------------------------------------------------------------
goffice 0.8.11:

Jean:
	* Implement custom grids in xyz plots. [#624273]

Jon Nordby:
	* Update API documentation.

Morten:
	* Improve fractional days support for date axes.
	* Draw charset/locale selectors with "radio" buttons.

Yasuaki Taniguchi:
	* Fix charset problem for Japanese.  [#627829]

--------------------------------------------------------------------------
goffice 0.8.10:

Andreas:
	* Make sure the first rather than the last error is shown.
	* Plug leak.
	* Provide the opportunity of all errors to be shown.

Jean:
	* Always use real line width when evaluating dashes. [#442546]
	* Update x and y limits when data change for xyz plots. [#627288]
	* Do not crash when displaying cubic spline with no abscissa. [#627507]
	* Do not save image filling with no image. [#627690]
	* Don't use g_free instead of xmlFree. [#627700]
	* Optionnaly delete trendlines from legend. [#628031]
	* Fix critical in go_doc_finalize. [#628467]
	* Fixed a potential crasher in gog_styled_object_document_changed. [#628671]
	* Fixed GOImage references management. [#628732]

Morten:
	* Limit formats to sane number of decimals.  [#627066]
	* Fix minor go_string_replace issue.
	* Plug leaks.
	* Fix char-xmlChar confusion.
	* Fix graph crash.  [#628259]
	* Improve go_format_is_date.
	* Improve handling of date axes with time-of-day.
	* Fix FMR on image load.  [Part of #628467]

--------------------------------------------------------------------------
goffice 0.8.9:

Jean:
	* Don't crash when loading a corrupted chart. [#626206, #626263, #626305]
	* Fix blur in zoomed charts.
	* Fix memory leak and criticals in graph editor. [#626665]
	* Allow themes defined as xml files. [#531070]
	* Update currencies. [#626461]

--------------------------------------------------------------------------
goffice 0.8.8:

Andreas:
	* Make sure that go_format_sel_format_classification returns the
	  value used by the format selector. [#625454]

Jean:
	* Do not take manually placed charts into account when evaluating
	  rows and columns in GogGraph.
	* Fixed contour plots legend. [#623887]

Morten:
	* Add go_string_replace function.
	* Add functions to manage GOFormatDetails.
	* Fix go_conf notification problem.  [#625549]
	* Implement weekly ticks for date axes.  [#624340]

--------------------------------------------------------------------------
goffice 0.8.7:

Jean:
	* Implement cumulative histograms.
	* Make histogram able to use raw data.
	* Implement equations rotation. [#622782]

--------------------------------------------------------------------------
goffice 0.8.6:

Morten:
	* Clean-up some win32 code.
	* Fix point-on-graph crash.  [#620198]
	* Ensure format menu has yyyy-mm-dd.
	* Improve docs.
	* Fix currency ordering.  [#621336]
	* Fix rounding problems for very large numbers.

--------------------------------------------------------------------------
goffice 0.8.5:

Bobby Powers:
	* Fix the --without-gtk winbuild. [#619312]

Morten:
	* Fix trend-line problem with inverted x-axis.  [#619958]

--------------------------------------------------------------------------
goffice 0.8.4:

Bobby Powers:
	* Fix the --without-gtk build. [#618592]

Morten:
	* Regression fixes.
	* Improve linear regression accuracy.
	* Plug leaks.

--------------------------------------------------------------------------
goffice 0.8.3:

Jean:
	* Improve probability plots.
	* Implement the "combo-activate" signal in GOCombo. [#583175]
	* Use markup for graph tips.

Morten:
	* Fix week numbers issue.
	* Fix matrix inversion crash.  [Part of #617469]
	* Fix win32 configuration problem.  [#617672]

--------------------------------------------------------------------------
goffice 0.8.2:

Jean:
	* Support fd:// URIs on win 32. [#608422]
	* Add more GOPath API.

Morten:
	* Implement conf notification in keyfile case.  [#613523]
	* Fix win32 configuration.

Valek:
	* Fix distance calculation for arc, ellipse, polygon, polyline,
	  and rectangle.
	* Support rotation for text on canvas.
	* Add PolyPolygon and Path

--------------------------------------------------------------------------
goffice 0.8.1:

Jean:
	* Remove libglade dependency from pc file. [#609833]
	* Use gtk_buildable_get_name instead of gtk_widget_get_name where
	appropriate. [#610434]
	* Fix crash in GogGuru. [#610435]
	* Fix cubic splines with invalid data. [#611163]

Morten:
	* Fix locale selector issue.  [#611415]

Valek:
	* Canvas improvements.

--------------------------------------------------------------------------
goffice 0.8.0:

Jean:
	* Do not crash when a chart contains no plot. [#607960]
	* Do not crash when deleting a grabbed item. [#609747]

Morten:
	* Add "autoload" flag for plugins.

--------------------------------------------------------------------------
goffice 0.7.18:

Andreas:
	* Fix description of ring plots. [#606162]

Jean:
	* Add a name to regression curves for display in legends. [#605040]
	* Fixed GocPolygon bounds. [#605496]
	* Moved plot area position page from plot to chart. [#605771]
	* Add sample to the plot type selector. [#495781]
	* Don't use multiline GtkLabel. [#606162]

--------------------------------------------------------------------------
goffice 0.7.17:

Jean:
	* Fixed a canvas performance issue. [#603813]
	* Update property page when style changes after reordering. [#604229]
	* Use locale independent markup. [#608047]

Jody:
	* Fix context sensitive help support on win32.

Morten:
	* Make GOCmdContext require less implementation.

--------------------------------------------------------------------------
goffice 0.7.16:

Jean:
	* Add parent name for new objects in the graph guru "Add" menu.
	* Fix configuration loading when using .gnumericrc. [#600654]
	* Implement error bars in radar and polar plots. [#572720]
	* Add an option for negative values display in pies and rings. [#152614]
	* Add trend lines to legend. [#383518]
	* Build color from color names usung gdk_parse_color. [#601114]
	* Fix crashes in probablility and scatter plots.  [#603015, #603016]
	* Support multiple series in probability plots. [#603013]

Morten:
	* Eliminate most uses of "float".

--------------------------------------------------------------------------
goffice 0.7.15:

Jean:
	* Fix bounds update of GocItem. [#598091]
	* Prepare for GSEAL_ENABLE.
	* Display coordinates when moving the mouseover a graph. [#382666]
	* Make titles the first logical child and ensure they are rendered last.
	Really fixes #152675.
	* Fix graph scale after a size change. [#599887]
	* Make chart position persistent in auto mode. [#152674]

Morten:
	* Canvas improvements for arrows.

--------------------------------------------------------------------------
goffice 0.7.14:

Bruce Cowan:
	* Fix some translatable strings. [#596003]

Jean:
	* Fix unicolor gradient brightness.
	* Fix custom point marker in scatter plots. [#596585]
	* Fixed various issues related to image filling.

Peter Jaeckel:
	* Extensions for XLL support in Gnumeric.  [#597849]

--------------------------------------------------------------------------
goffice 0.7.13:

Jean:
	* Fix various problems with new canvas.

Morten:
	* Fix various problems with new canvas.

--------------------------------------------------------------------------
goffice 0.7.12:

Jean:
	* Deprecated GOStyle::outline. [#593608]
	* Fixed import of surface plots from excel. [#593937, #594070, #594077]

Jody:
	* [win32] build fixes.

--------------------------------------------------------------------------
goffice 0.7.11:

Morten:
	* Fix canvas item realize/unrealize problems.  [#593593]

--------------------------------------------------------------------------
goffice 0.7.10:

Jean:
	* Canvas improvements.
	* Removed FooCanvas.
	* Migrated from Glade to GtkBuilder.

Morten:
	* Namespace issues.  [#592283]

--------------------------------------------------------------------------
goffice 0.7.9:

Andreas:
	* Improve number style output to ODF. [#586564]
	* Improve currency output to ODF.
	* Fix hang when writing date with invalid format. [#587171]

Jean:
	* Align surface ticks with grid. [#585298]
	* Fixed various contour plots related issues. [#589511, #589512]
	* Comparison line for probability plots. [#590416]
	* New cairo based canvas.

Morten:
	* Fix format localization problem. [#586567]
	* Fix crash with Win32 configuration.  [#588138]
	* Fix axis issues near zero.  [#590903]
	* Improve log-scale axes.  [#590908]

--------------------------------------------------------------------------
goffice 0.7.8:

Andreas:
	* Add some odf GOFormat output utilities.
	* Handle scale attributes in markup.

Morten:
	* Add functions to generate number formats.
	* Make format classification function public.
	* Fix inc/dec precision for accounting format.
	* Introduce master include file.
	* Activate formatting support for negative elapsed times.

--------------------------------------------------------------------------
goffice 0.7.7:

Andreas:
	* Modified serialization of pango markup to support all weights

Morten:
	* Add "pristine" as GODoc property.
	* Properly handle date conventions in graphs.
	* Support formatted editing of graph limits that are dates and
	  times.  [#574681]
	* Implement new calendar button widget.

--------------------------------------------------------------------------
goffice 0.7.6:

Jean:
	* Fixed segfault during documentation generation. [#580296]

Morten:
	* Improve log axes' tick calculation.  [#375756]

--------------------------------------------------------------------------
goffice 0.7.5:

Jean:
	* Fixed gconf and gmathml propagation to pc file. [#576497]
	* Added a new plot type: GogColorPolarPlot.

Jody:
	* Use priority when looking up savers by extension or mime.

Morten:
	* Add new go_format_is_time function.
	* Pick sane bounds for time-formatted axes.  [Part of #574681]
	* Pick sane bounds for date-formatted axes.  [Part of #574681]
	* Add magic date and time formats.

--------------------------------------------------------------------------
goffice 0.7.4:

Jean:
	* Add go_gtk_show_url. [#559021]
	* Don't display markers in histogram legend. [#574340]
	* Skip points corresponding to invalid valies in pie charts. [#574348]
	* Correctly use all points defined in bar/columns plot series. [#574349]
	* Avoid unused direct shlib deps.  [#572910]
	* Set a default family when none is given. [#575318]

Morten:
	* Fix a pixbuf scaling problem in foocanvas.
	* Improve handling of localized formats.

--------------------------------------------------------------------------
goffice 0.7.3:

ATTENTION PACKAGERS: goffice no longer depends on libgnome and libgnomeui.
ATTENTION PACKAGERS: goffice no longer depends on gnome-vfs.
ATTENTION PACKAGERS: please don't ship goffice with equation enabled.

Emmanuel:
	* Experimental support for equation using gmathml. Disabled by default,
       	as no release of gmathml exists yet. Source code of gmathml can
       	retrieved using the following command:

	git clone http://people.freedesktop.org/~emmanuel/gmathml.git

Halton Huo:
	* Add --without-long-double option.  [#557045]

Jean:
	* Fixed various regressions in contour plots.
	* Add XYZ series based contour plots.
	* Drop the libgome dependency. [#558709]
	* Made spline interpolation really use Bezier cubic splines.
	* Add closed Bezier and cubic spline interpolation.
	* Make drop lines go to the axis instead of chart bottom (or left).
	* Make possible to add an application specific custom widget to the
	graph editor.
	* Fixed critical in graph_typeselect_minor. [#567931]
	* Fixed crash when adding series to bar chart. [#572354]

Morten:
	* Plug leaks.
	* Fix memory corruption issue.  [#561708]
	* Fix problem with formats like "0.0E-00".  [#563601]
	* Put the old 29-Feb-1900 problem to rest.
	* Fix fd://<n> uris after lobognomification.
	* Fix doc build with respect to the mathml stuff.  [#572483]

Pedro Fragoso:
	* Clean up glib includes.   [#564021]

--------------------------------------------------------------------------
goffice 0.7.2:

Hib Eris:
	* Fix crash in go_help_display when non gnome applications use
	goffice with gnome. [#551128]

Jean:
	* Implement probability plots for some common distributions. [#500168]
	* Fix invalid write in gog_probability_plot_series_update. [#555161]
	* Fix Null pointer crash in gog_contour_view_render. [#555757]

Jody:
	* Patch foocanvas to work around behaviour change in gtk 2.14.

Morten:
	* Fix go_url_resolve_relative.  [#550898]

--------------------------------------------------------------------------
goffice 0.7.1:

Jean:
	* Serialize images used as background in charts. [#348780]
	* Fix plot engines memory leaks. [#542506]
	* Fix gog_style_font_sax_save() writes unescaped font name. [#543986]
	* Relaced remaining libart calls.
	* Use gio from glib. [#522458]

Jody:
	* Reverse legend ordering for stacked 1.5d plots.

Mariusz Adamski:
	* Added support for 3d plot axes and backplanes.
	* Implemented a user interface for 3d projection settings.

Morten:
	* Work around valgrind bug.
	* Fix date format problem.  [#545016]
	* Fix interpretation of "[red];[blue]".  [#549249]

--------------------------------------------------------------------------
goffice 0.7.0:

Jean:
	* New boxplot feature requested: exclude outliers. [#534642]
	* Moved GOConf code from gnumeric to goffice.
	* Fixed plot types activation/deactivation issues.
	* Always use full lines when drawing markers. [#536276]
	* Add singleton support to scatter and bars/columns plots.

Jody:
	* Fix X axis text clipping on win32. [#442773]
	* Tune bubble size calc to be closer to other implementions.

Rob Staudinger:
	* Use plain menu items for toolbar overflow image menu item proxies,
	so they are displayed correctly with gtk-menu-images=0. [#537541]

--------------------------------------------------------------------------
goffice 0.6.3:

Hiroyuki Ikezoe:
	* Switch from pcre to glib regexp handling.  [#482319]

Jean:
	* Don't try to use invalid data in box-plots. [#527249]
	* Add EPS export for charts if cairo supports.

Jody:
	* Enable the use of dolt.
	* Fix formats on win32.

Morten:
	* Add go_format_is_invalid.
	* Improve date convention framework.
	* Fix problem with [Enter] causing infinite recursion.

--------------------------------------------------------------------------
goffice 0.6.2:

Jean:
	* Set Length to 0 for invalid series in 1.5d plots. Fixes #514642.

Morten:
	* Fix memory handling for 1.5d plots.  Fixes #517995.

--------------------------------------------------------------------------
goffice 0.6.1:

Misc:
	* Automate library, headers, and .pc versioning.

Morten:
	* Fix critical for bogus dates.  [#511435]

--------------------------------------------------------------------------
goffice 0.6.0:

Morten:
	* Import Pango enhancements from Gnumeric.

Emmanuel:
	* Fix a crash when selecting a graph title. [#501831]
	* Fix axis label position. [#501000]
	* Handle inverted axis when clamping axis position.
	* Fix axis position warnings.

--------------------------------------------------------------------------

goffice 0.5.4:

Andreas:
	* Fix increase of decimals for scientific notation. [#500356]

Emmanuel:
	* Fix spurious cairo_show_page call when printing charts. [#500017]

Jean:
	* Fix another crash in gog_barcol_view_render. [#498846]

Morten:
	* Fix format problem with simplified exponential formats.  [#500393]

--------------------------------------------------------------------------

goffice 0.5.3:

Jean:
	* Fix crash in gog_barcol_view_render. [#497777]

Morten:
	* Improve classification of date formats.

Emmanuel:
	* Draw a frame around the graph area in graph editor.
	* Improve legend swatch appearance.
	* Populate the add button of the graph editor with more items.

--------------------------------------------------------------------------
goffice 0.5.2:

Jean:
	* Fix xy color scale when some data are missing. [#475394]
	* Fix NULL pointer crash in gog_line_view_render(). [#492485]

Jody:
	* Add the ability to make a GogObject invisible.

Morten:
	* Fix moving-average problem.  [#491328]

Sum1:
	* Fix ABR in spline code.  [#492158]

--------------------------------------------------------------------------
goffice 0.5.1:

Jean:
	* Fix crash in gog_renderer_update. [#477052]
	* Copied FFT and complex numbers code from gnumeric.

Jody:
	* Some extensions for OOX charts.

Jon Kåre:
	* Fix format selector crash [#475136].
	* Don't	close image save as dialog after wrong extension. [#420451]

Morten:
	* Add function to test if a format has an hour field.
	* Re-enable GTK_DISABLE_DEPRECATED
	* Fix format dialog crash.  [#480971]

--------------------------------------------------------------------------
goffice 0.5.0:

Emmanuel:
	* Fill support for polar xy plots.
	* Interpolation support for polar plots.

Jody:
	* Win32 portability and locale fixes.

Morten:
	* Fix "fd://0" handling in go_shell_arg_to_uri.
	* Fix default date format.
	* Add function to tell month/day order in format.

--------------------------------------------------------------------------
goffice 0.4.2:

Jody:
	* Foocanvas bug that scaled images by 1 extra pixel. [#314864]
	* Fix compilation for Gtk+ trunk.
	* Fix chart guru help button. [#394181]
	* Minor memory leak.

--------------------------------------------------------------------------
goffice 0.4.1:

Jean:
	* Make 64bit clean. [#340552]

Jody:
	* Fault tolerance for unknown types on load. [#419955]
	* Fix icon paths on windows. [#442707]

Morten:
	* Let file savers specify a mime type.
	* Fix reversed-literal problem with formats.  [#444247]

--------------------------------------------------------------------------
goffice 0.4.0:

Jean:
	* Add support for cubic splines.
	* Fix graph rendering on big endian machines. [#432532]

--------------------------------------------------------------------------
goffice 0.3.8:

Emmanuel:
	* Fix alignement of rotated axis labels. [#343507]

Morten:
	* Add preconditions to text combo widget's API functions.
	* Unicode-normalize regexps patterns.
	* Improve character set guesser.  [#401588]
	* Fix format selector crash.  [#431256]

--------------------------------------------------------------------------
goffice 0.3.7:

Emmanuel Pacaud:

	* Fix calls to g_object_class_install_property. [#172866]
	* Show a complete dash sequence for sample lines in legends. [#404819]
	* Fix persistence of legend position. [345836]
	* Only round width of sharp line. [#403403]
	* Add more line styles

Morten:
	* Fix UTF-8 problem in format preview.
	* Separate the format selector from format internals.
	* Total rewrite of number formatting.
	* Fix potential memory corruption in format dialog.
	* Make space-filling in formats use thinner spaces when
          available.  [#163438]
	* Remove embedded PCRE.
	* Improve axis labeling.  [#413660]
	* Simplify formats that yield "n\pi/1".  [#417981]

--------------------------------------------------------------------------
goffice 0.3.6:

Jody:
	* Avoid cairo assertion when rendering a 0 sized view. [#397679]

Morten:
	* Generalize number formatting.
	* Simplify format widget a bit.
	* Implement go_strtod and go_strtold.
	* Fix marshalling of pango formats with strikethrough set.
	* Make the GOFormat type private.
	* Extract go-locale.[ch] from go-format.[ch]
	* Fix UMR.

--------------------------------------------------------------------------

goffice 0.3.5:

Emmanuel Pacaud:
	* Fix legend where there's no element to display. [#382354]
	* Fix legend when reordering plots. [#382663]
	* Fix markers in PDF and PS export.

Jody:
	* Make the GogStyle sax parser usable by outside objects.

Morten:
	* Improve number formatting.

--------------------------------------------------------------------------

goffice 0.3.4:

Morten:
	* Handle formats like "dd.mm.yyyy".

J.H.M. Dassen (Ray):
	* Cleanup g_free calls.  [#369662]

--------------------------------------------------------------------------

goffice 0.3.3:

Morten:
	* Fix combo sizing problem.  [#362704]
	* Fix Save problem.  [#365115]
	* Detect more date/time formats.  Part of [#370183]

--------------------------------------------------------------------------

goffice 0.3.2:

Dom:
	* Fixes for usage with gtk 2.6.

Jon Kåre:
        * Use info from gdk-pixbuf to convert from MIME type to image
	  format.
        * Fix bug which hid file save format selector .
        * go_gtk_file_sel_dialog no longer unhides all hidden widgets
	  when displaying dialog.

Morten:
	* Handle errors while loading images better.

--------------------------------------------------------------------------
goffice 0.3.1:

NOTE : This is a _DEVELOPMENT_ release.  Please use the 0.2.x series for
	production systems.  The api/abi in 0.3.x is expected to change without
	notice until 0.4.0.

Emmanuel Pacaud:
	* Composite graph image onto white background when exporting to
	formats that don't support alpha channel [#339126].
	* Add support for background stripes.
	* Add radian and grad unit support for polar plots.
	* Add rotation support for polar plots.
	* Fix display of log axis minor ticks [#341880].
	* Add new ?pi/? format, mainly for polar plot use.
	* Fix bar/col plots when using log scale.
	* Fix a crash when polar plot width or height == 0 [#349238].
	* Swith to cairo renderer [#314211] [#310322].
	* New pattern, gradient, color and line selectors [#152673].

Ivan Wong :
	* [Win32] Add the attribute GO_VAR_DECL for public global
	variable so that public header files are now compatible with
	MSVC.

Jean Brefort:
	* Add a half pie plots.
	* Allow to chose an interpolation type for each series in
	scatter plots.
	* Implement vertical box-plots. [#358153]

Morten:
	* Make text combos work in overflowed toolbars.  [#157901]
	* Avoid CRITICALs on formatting invalid dates.
	* Fix rendered for non-Cairo case.  [#341999]

--------------------------------------------------------------------------

goffice 0.3.0:

NOTE : This is a _DEVELOPMENT_ release.  Please use the 0.2.x series for
	production systems.  The api/abi in 0.3.x is expected to change without
	notice until 0.4.0.

Emmanuel Pacaud:
	* Add initial support for moving objects by mouse.
	* Add a resolution setting in image export file chooser.
	* Add support for PDF and PS export of graphs when using cairo
	renderer.
	* Add gtk-doc support.
	* Improve legend layout by making swatch size proptional to font
       	size.
	* Improve dialog for manual position of dialog.
	* Fix baseline for area plot and histogram when using a log axis.
	* Implement stretched image pattern in cairo renderer.
	* Fix axis label position.
	* Improve scientific format, add an engineering mode and a
	special format with markup for display of exponent as
	superscript (e.g. 10²) (Currently only used by graph engine when
	using cairo renderer).

Ivan Wong :
	* [Win32] Only export symbols which are in the public headers.
	  [#307356]

Jean Brefort:
	* Add a new components system to embed data from other
	applications.
	* Add Histograms.
	* Add regression curves to histograms and line plots.
	* Add power regressions.
	* Add moving average trend curves.
	* Fix use of invalid data in scatter plots. [#334697]

Jody:
	* Some cleanup towards supporting --without-gtk.

Morten:
	* Fix translation problems causing crashes in the character set
	  selector for people not using UTF-8.
	* Add and fix gog-object preconditions.  [Part of #321678]
	* Handle problem with fraction formats for very large values.
          [Debian 340463]
	* Fix problem with colons in filenames.  [#322799]
	* Use system libpcre when available, sufficiently recent, and
	  properly compiled with UTF-8 support.
	* Plug leak.
	* Handle problems with formats containing "ss." but no more.
	* Fix plugin deactivation.  [#336742]
	* Improve fraction format handling.
	* Fix format problem for [$curr].
	* Implement tooltips for text combos.  [#339122]

--------------------------------------------------------------------------
goffice 0.1.1:

Jody:
	* Add xml sax importer.

Morten:
	* Fix hang in libart code.  [#319309]
	* Fix locale problem in go_math_init.
	* Change sorting of charsets.

--------------------------------------------------------------------------
goffice 0.1.0:

Emmanuel Pacaud:

	* Multicolumn/line and horizontal layout support for legends.
	* Fix SVG gradient export [#318191].
	* Fix persistence of show/hide setting for equations [#318316].

Jean Brefort:
	* Optionnaly skip invalid values in regression curves [#312788].
	* New regression curves types [#312789].
	* Fixed localization issues [#317925][#318042][#318043].
	* Fixed various other issues.

Jody:
	* Adjust lifecycle of GOFormat to cache all formats once created.
	  Huge performance win on [#314521]
	* Include super/sub scripts when persisting.

Morten:
	* Fix rendering of numbers using formats with fractional
	  seconds part.  [#315544]
	* Update to PCRE version 6.3.
	* Use native PCRE interface (i.e., write our own POSIX-like
	  wrappers) in preparation for possibly using system PCRE.

--------------------------------------------------------------------------
goffice 0.0.4:

Emmanuel Pacaud:
	* Fix polar plot clipping.
	* Fix line/area/barcol data position.
	* Let user change bounds for discrete axes [#309468].

Jean Brefort:
	* Box-plots use raw data [#308136].

Jody:
	* GOFormat now matches against all tuples.
	* Add GORotationSel from Gnumeric.
	* fixed number of digits for denominator regexp [#144112]

--------------------------------------------------------------------------
goffice 0.0.3:

Emmanuel Pacaud:
	* Add support for manual position/size of graph objects.
	* Add rotated text support.
	* Add optional cairo renderer.
	* Fix swatch position in legends.
	* Sample graph in guru has the same aspect ratio than the edited graph
	  [#150458].
	* Displays Y axis labels vertically by default [#301582].
	* Add pattern support for SVG output [#310320].

Jean Brefort:
	* Add series lines in bars and columns plots.
	* Add drop lines in lines and xy plots.
	* Add lines to min/max plots and dropbars.

Morten:
	* Fix problem with currency formats and problem with Euro [#305313].
	* Support fd://1 syntax for go_file_create.
	* Fix ABR (or worse) for formats ending in "[$...]".

--------------------------------------------------------------------------
goffice 0.0.2:

Emmanuel Pacaud:
	* Make compass position and alignment of graph object persistent and
	add a GUI for these properties [#124322].
	* Fix some libglade warnings [#305010].
	* Fix contour plots axes.

Ivan, Y.C. Wong:
	* Fix encoding bug when open file with non-ascii name in shell.
	* Fix Mime Type detection on Win32 [#304074].

Jean Brefort:
	* Add linear regressions in scatter plots.
	* Fix shotcut in format selector [#305635].
	* Add MinMax and DropBar plots.
	* Fixed various concerns in contour plots.

J.H.M. Dassen (Ray):
	* Ensure at link time that the shared objects, both the library and
	  the plugins, contain complete dependency information for all
	  symbols they use from elsewhere.

Jody:
	* Fix foocanvas's show/hide item for widgets.
	* Fix the format selector preview.
	* Improve selection of a default plot style.

Morten:
	* Fix theme bug.  [#303707]
	* Fix insert-image criticals.  [#305009]

--------------------------------------------------------------------------
goffice 0.0.1

Emmanuel Pacaud:
	* Add support for polar plots.
	* Add multiple axes support for xy, line, barcol, bubble plots.
	* Fix axis rendering order for contour, area and radar plots.
	* avoid use of setlocale in svg renderer. [#172726]
	* Add radar axis labels [#152695]
	* Fix crash in print preview with log plots. [#170547]
	* Fix crahs when deleting a serie. [#166403]
	* Fix transparency in pixbuf renderer. [159368]

Jean Brefort
	* Fixed opacity problem in color selector (#135434)

Jody:
	* Split from gnumeric

Ivan Wong:
        * Become more robust when reading .hhmap files and finding help
        topics on Win32.

Morten:
	* Fix various old number rendering bugs.  [#170000]
	* Update to PCRE 5.0
	* Give GOComboBox a themable add-tearoffs style.
	* Fix icon sizes in color action combos.  [#302880]

--------------------------------------------------------------------------
